随笔-369  评论-37  文章-0  trackbacks-0
1、如果需要支持h264,需先安装x264
下载x264
git clone https://code.videolan.org/videolan/x264.git
编译x264
./configure --disable-asm --enable-shared --enable-pic
或者
./configure --enable-shared
注意:--enable-shared选项是必需的,否则安装之后仍无法识别x264
make
make install
---------------------------------------------------------------
2、安装nvcodec
(1)下载源代码
git clone https://git.videolan.org/git/ffmpeg/nv-codec-headers.git
注意:使用版本11.1.5.2
其他版本在ffmpeg的编译配置时,执行./configure命令报错:
ERROR: cuda requested, but not all dependencies are satisfied: ffnvcodec
(2)进入源码根目录
make
make install
(3)配置环境变量
vim /root/.bashrc
在文件末尾添加:
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:${PKG_CONFIG_PATH}
保存退出
source /root/.bashrc
查看ffnvcodec版本:
pkg-config --modversion ffnvcodec
---------------------------------------------------------------
3、安装FFmpeg
(1)下载源码
本次安装使用的是4.4版本
(2)编译
进入源码根目录
./configure --prefix=/usr/local/ffmpeg --enable-shared --disable-static --disable-doc  --enable-gpl --enable-libx264
如果需要支持CUDA,还需加上
--enable-cuda --enable-cuvid --enable-nvdec --enable-nvenc
即:
./configure --prefix=/usr/local/ffmpeg --enable-shared --disable-static --disable-doc  --enable-gpl --enable-libx264 --enable-cuda  --enable-cuvid  --enable-nvdec --enable-nvenc
make
make install
(3)配置
I  配置软链接:
sudo ln -s /usr/local/ffmpeg/bin/ffmpeg /usr/bin/ffmpeg
sudo ln -s /usr/local/ffmpeg/bin/ffprobe /usr/bin/ffprobe
II 配置依赖库:
vim /etc/ld.so.conf
在文件末尾添加:
/usr/local/ffmpeg/lib
保存退出
ldconfig
(4)查看版本号
ffmpeg -version
可以看到各组件的版本号
------------------------------------------------------------------
4、转码应用
ffmpeg -hwaccel cuda -i test1.mp4 -c:v h264_nvenc -b:v 5M -c:a copy test1_out.mp4


O了!
posted on 2024-01-10 23:01 小王 阅读(52) 评论(0)  编辑 收藏 引用 所属分类: CUDA音视频

只有注册用户登录后才能发表评论。
网站导航: 博客园   IT新闻   BlogJava   知识库   博问   管理